org.apache.myfaces.trinidad.component.html

## Class HtmlCellFormat

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.html.HtmlCellFormat

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class HtmlCellFormat
      extends UIXComponentBase
      implements javax.faces.component.behavior.ClientBehaviorHolder

  CellFormat components are used to format cells in a rowLayout. It is a container of other layout elements which allows its contents to take additional formatting, such as vertical alignment, width, or colspan.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyKey` | `COLUMN_SPAN_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static String` | `HALIGN_CENTER`
    `static String` | `HALIGN_END`
    `static PropertyKey` | `HALIGN_KEY`
    `static String` | `HALIGN_LEFT`
    `static String` | `HALIGN_RIGHT`
    `static String` | `HALIGN_START`
    `static PropertyKey` | `HEADER_KEY`
    `static PropertyKey` | `HEADERS_KEY`
    `static PropertyKey` | `HEIGHT_KEY`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static PropertyKey` | `ONCLICK_KEY`
    `static PropertyKey` | `ONDBLCLICK_KEY`
    `static PropertyKey` | `ONKEYDOWN_KEY`
    `static PropertyKey` | `ONKEYPRESS_KEY`
    `static PropertyKey` | `ONKEYUP_KEY`
    `static PropertyKey` | `ONMOUSEDOWN_KEY`
    `static PropertyKey` | `ONMOUSEMOVE_KEY`
    `static PropertyKey` | `ONMOUSEOUT_KEY`
    `static PropertyKey` | `ONMOUSEOVER_KEY`
    `static PropertyKey` | `ONMOUSEUP_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static PropertyKey` | `ROW_SPAN_KEY`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `SHORT_TEXT_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static FacesBean.Type` | `TYPE`
    `static String` | `VALIGN_BOTTOM`
    `static PropertyKey` | `VALIGN_KEY`
    `static String` | `VALIGN_MIDDLE`
    `static String` | `VALIGN_TOP`
    `static PropertyKey` | `WIDTH_KEY`
    `static PropertyKey` | `WRAPPING_DISABLED_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `HtmlCellFormat()` Construct an instance of the HtmlCellFormat.
    `protected` | `HtmlCellFormat(String rendererType)` Construct an instance of the HtmlCellFormat.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `protected FacesBean.Type` | `getBeanType()`
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `int` | `getColumnSpan()` Gets the number of cells wide the child layout element will be.
    `String` | `getDefaultEventName()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getHalign()` Gets the horizontal alignment of the grid row elements.
    `String` | `getHeaders()` Gets Indicates which table cells are the headers for this cell.
    `String` | `getHeight()` Gets the preferred height of the enclosed layout elements.
    `String` | `getInlineStyle()` Gets the inline CSS style for this element
    `String` | `getOnclick()` Gets an onclick Javascript handler.
    `String` | `getOndblclick()` Gets an ondblclick Javascript handler.
    `String` | `getOnkeydown()` Gets an onkeydown Javascript handler.
    `String` | `getOnkeypress()` Gets an onkeypress Javascript handler.
    `String` | `getOnkeyup()` Gets an onkeyup Javascript handler.
    `String` | `getOnmousedown()` Gets an onmousedown Javascript handler.
    `String` | `getOnmousemove()` Gets an onmousemove Javascript handler.
    `String` | `getOnmouseout()` Gets an onmouseout Javascript handler.
    `String` | `getOnmouseover()` Gets an onmouseover Javascript handler.
    `String` | `getOnmouseup()` Gets an onmouseup Javascript handler.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `int` | `getRowSpan()` Gets the number of cells high the child layout element will be.
    `String` | `getShortDesc()` Gets the short description of the bean.
    `String` | `getShortText()` Gets This attribute should be used to provide an abbreviated form of the cell's content, and may be rendered by user agents when appropriate in place of the cell's content.
    `String` | `getStyleClass()` Gets the CSS style class of the bean.
    `String` | `getValign()` Gets the vertical alignment of the grid row elements.
    `String` | `getWidth()` Gets the preferred width of the enclosed layout elements.
    `boolean` | `isHeader()` Gets Indicates whether or not this table cell is a header cell or a data cell.
    `boolean` | `isWrappingDisabled()` Gets whether automatic text wrapping should be disabled for this cell.
    `void` | `setColumnSpan(int columnSpan)` Sets the number of cells wide the child layout element will be.
    `void` | `setHalign(String halign)` Sets the horizontal alignment of the grid row elements.
    `void` | `setHeader(boolean header)` Sets Indicates whether or not this table cell is a header cell or a data cell.
    `void` | `setHeaders(String headers)` Sets Indicates which table cells are the headers for this cell.
    `void` | `setHeight(String height)` Sets the preferred height of the enclosed layout elements.
    `void` | `setInlineStyle(String inlineStyle)` Sets the inline CSS style for this element
    `void` | `setOnclick(String onclick)` Sets an onclick Javascript handler.
    `void` | `setOndblclick(String ondblclick)` Sets an ondblclick Javascript handler.
    `void` | `setOnkeydown(String onkeydown)` Sets an onkeydown Javascript handler.
    `void` | `setOnkeypress(String onkeypress)` Sets an onkeypress Javascript handler.
    `void` | `setOnkeyup(String onkeyup)` Sets an onkeyup Javascript handler.
    `void` | `setOnmousedown(String onmousedown)` Sets an onmousedown Javascript handler.
    `void` | `setOnmousemove(String onmousemove)` Sets an onmousemove Javascript handler.
    `void` | `setOnmouseout(String onmouseout)` Sets an onmouseout Javascript handler.
    `void` | `setOnmouseover(String onmouseover)` Sets an onmouseover Javascript handler.
    `void` | `setOnmouseup(String onmouseup)` Sets an onmouseup Javascript handler.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setRowSpan(int rowSpan)` Sets the number of cells high the child layout element will be.
    `void` | `setShortDesc(String shortDesc)` Sets the short description of the bean.
    `void` | `setShortText(String shortText)` Sets This attribute should be used to provide an abbreviated form of the cell's content, and may be rendered by user agents when appropriate in place of the cell's content.
    `void` | `setStyleClass(String styleClass)` Sets the CSS style class of the bean.
    `void` | `setValign(String valign)` Sets the vertical alignment of the grid row elements.
    `void` | `setWidth(String width)` Sets the preferred width of the enclosed layout elements.
    `void` | `setWrappingDisabled(boolean wrappingDisabled)` Sets whether automatic text wrapping should be disabled for this cell.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### HALIGN_RIGHT

          public static final String HALIGN_RIGHT

      See Also:
        Constant Field Values

    - #### HALIGN_START

          public static final String HALIGN_START

      See Also:
        Constant Field Values

    - #### HALIGN_LEFT

          public static final String HALIGN_LEFT

      See Also:
        Constant Field Values

    - #### HALIGN_END

          public static final String HALIGN_END

      See Also:
        Constant Field Values

    - #### HALIGN_CENTER

          public static final String HALIGN_CENTER

      See Also:
        Constant Field Values

    - #### VALIGN_MIDDLE

          public static final String VALIGN_MIDDLE

      See Also:
        Constant Field Values

    - #### VALIGN_TOP

          public static final String VALIGN_TOP

      See Also:
        Constant Field Values

    - #### VALIGN_BOTTOM

          public static final String VALIGN_BOTTOM

      See Also:
        Constant Field Values

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### SHORT_TEXT_KEY

          public static final PropertyKey SHORT_TEXT_KEY

    - #### HALIGN_KEY

          public static final PropertyKey HALIGN_KEY

    - #### VALIGN_KEY

          public static final PropertyKey VALIGN_KEY

    - #### WIDTH_KEY

          public static final PropertyKey WIDTH_KEY

    - #### HEIGHT_KEY

          public static final PropertyKey HEIGHT_KEY

    - #### COLUMN_SPAN_KEY

          public static final PropertyKey COLUMN_SPAN_KEY

    - #### ROW_SPAN_KEY

          public static final PropertyKey ROW_SPAN_KEY

    - #### WRAPPING_DISABLED_KEY

          public static final PropertyKey WRAPPING_DISABLED_KEY

    - #### HEADERS_KEY

          public static final PropertyKey HEADERS_KEY

    - #### HEADER_KEY

          public static final PropertyKey HEADER_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### ONCLICK_KEY

          public static final PropertyKey ONCLICK_KEY

    - #### ONDBLCLICK_KEY

          public static final PropertyKey ONDBLCLICK_KEY

    - #### ONMOUSEDOWN_KEY

          public static final PropertyKey ONMOUSEDOWN_KEY

    - #### ONMOUSEUP_KEY

          public static final PropertyKey ONMOUSEUP_KEY

    - #### ONMOUSEOVER_KEY

          public static final PropertyKey ONMOUSEOVER_KEY

    - #### ONMOUSEMOVE_KEY

          public static final PropertyKey ONMOUSEMOVE_KEY

    - #### ONMOUSEOUT_KEY

          public static final PropertyKey ONMOUSEOUT_KEY

    - #### ONKEYPRESS_KEY

          public static final PropertyKey ONKEYPRESS_KEY

    - #### ONKEYDOWN_KEY

          public static final PropertyKey ONKEYDOWN_KEY

    - #### ONKEYUP_KEY

          public static final PropertyKey ONKEYUP_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlCellFormat

          public HtmlCellFormat()

      Construct an instance of the HtmlCellFormat.

    - #### HtmlCellFormat

          protected HtmlCellFormat(String rendererType)

      Construct an instance of the HtmlCellFormat.

  - ### Method Detail

    - #### getShortText

          public final String getShortText()

      Gets This attribute should be used to provide an abbreviated form of the cell's content, and may be rendered by user agents when appropriate in place of the cell's content. Abbreviated names should be short since user agents may render them repeatedly (especially if this cell is a header cell).
      Returns:
        the new shortText value

    - #### setShortText

          public final void setShortText(String shortText)

      Sets This attribute should be used to provide an abbreviated form of the cell's content, and may be rendered by user agents when appropriate in place of the cell's content. Abbreviated names should be short since user agents may render them repeatedly (especially if this cell is a header cell).
      Parameters:
        `shortText` - the new shortText value

    - #### getHalign

          public final String getHalign()

      Gets the horizontal alignment of the grid row elements. The acceptable values are "center", "left", "right", "start", and "end".
      Returns:
        the new halign value

    - #### setHalign

          public final void setHalign(String halign)

      Sets the horizontal alignment of the grid row elements. The acceptable values are "center", "left", "right", "start", and "end".
      Parameters:
        `halign` - the new halign value

    - #### getValign

          public final String getValign()

      Gets the vertical alignment of the grid row elements. The acceptable values are "middle", "top", and "bottom".
      Returns:
        the new valign value

    - #### setValign

          public final void setValign(String valign)

      Sets the vertical alignment of the grid row elements. The acceptable values are "middle", "top", and "bottom".
      Parameters:
        `valign` - the new valign value

    - #### getWidth

          public final String getWidth()

      Gets the preferred width of the enclosed layout elements.
      Returns:
        the new width value

    - #### setWidth

          public final void setWidth(String width)

      Sets the preferred width of the enclosed layout elements.
      Parameters:
        `width` - the new width value

    - #### getHeight

          public final String getHeight()

      Gets the preferred height of the enclosed layout elements.
      Returns:
        the new height value

    - #### setHeight

          public final void setHeight(String height)

      Sets the preferred height of the enclosed layout elements.
      Parameters:
        `height` - the new height value

    - #### getColumnSpan

          public final int getColumnSpan()

      Gets the number of cells wide the child layout element will be.
      Returns:
        the new columnSpan value

    - #### setColumnSpan

          public final void setColumnSpan(int columnSpan)

      Sets the number of cells wide the child layout element will be.
      Parameters:
        `columnSpan` - the new columnSpan value

    - #### getRowSpan

          public final int getRowSpan()

      Gets the number of cells high the child layout element will be.
      Returns:
        the new rowSpan value

    - #### setRowSpan

          public final void setRowSpan(int rowSpan)

      Sets the number of cells high the child layout element will be.
      Parameters:
        `rowSpan` - the new rowSpan value

    - #### isWrappingDisabled

          public final boolean isWrappingDisabled()

      Gets whether automatic text wrapping should be disabled for this cell.
      Returns:
        the new wrappingDisabled value

    - #### setWrappingDisabled

          public final void setWrappingDisabled(boolean wrappingDisabled)

      Sets whether automatic text wrapping should be disabled for this cell.
      Parameters:
        `wrappingDisabled` - the new wrappingDisabled value

    - #### getHeaders

          public final String getHeaders()

      Gets Indicates which table cells are the headers for this cell. This attribute is used by screen readers to associate header information with data cells. This must be set to a space-separated list of IDs. Each ID must be the ID of a pertinent header cell.
      Returns:
        the new headers value

    - #### setHeaders

          public final void setHeaders(String headers)

      Sets Indicates which table cells are the headers for this cell. This attribute is used by screen readers to associate header information with data cells. This must be set to a space-separated list of IDs. Each ID must be the ID of a pertinent header cell.
      Parameters:
        `headers` - the new headers value

    - #### isHeader

          public final boolean isHeader()

      Gets Indicates whether or not this table cell is a header cell or a data cell. Setting this attribute to 'true' will mark this cell as a header cell.
      Returns:
        the new header value

    - #### setHeader

          public final void setHeader(boolean header)

      Sets Indicates whether or not this table cell is a header cell or a data cell. Setting this attribute to 'true' will mark this cell as a header cell.
      Parameters:
        `header` - the new header value

    - #### getShortDesc

          public final String getShortDesc()

      Gets the short description of the bean. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets the short description of the bean. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.
      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.
      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getOnclick

          public final String getOnclick()

      Gets an onclick Javascript handler.
      Returns:
        the new onclick value

    - #### setOnclick

          public final void setOnclick(String onclick)

      Sets an onclick Javascript handler.
      Parameters:
        `onclick` - the new onclick value

    - #### getOndblclick

          public final String getOndblclick()

      Gets an ondblclick Javascript handler.
      Returns:
        the new ondblclick value

    - #### setOndblclick

          public final void setOndblclick(String ondblclick)

      Sets an ondblclick Javascript handler.
      Parameters:
        `ondblclick` - the new ondblclick value

    - #### getOnmousedown

          public final String getOnmousedown()

      Gets an onmousedown Javascript handler.
      Returns:
        the new onmousedown value

    - #### setOnmousedown

          public final void setOnmousedown(String onmousedown)

      Sets an onmousedown Javascript handler.
      Parameters:
        `onmousedown` - the new onmousedown value

    - #### getOnmouseup

          public final String getOnmouseup()

      Gets an onmouseup Javascript handler.
      Returns:
        the new onmouseup value

    - #### setOnmouseup

          public final void setOnmouseup(String onmouseup)

      Sets an onmouseup Javascript handler.
      Parameters:
        `onmouseup` - the new onmouseup value

    - #### getOnmouseover

          public final String getOnmouseover()

      Gets an onmouseover Javascript handler.
      Returns:
        the new onmouseover value

    - #### setOnmouseover

          public final void setOnmouseover(String onmouseover)

      Sets an onmouseover Javascript handler.
      Parameters:
        `onmouseover` - the new onmouseover value

    - #### getOnmousemove

          public final String getOnmousemove()

      Gets an onmousemove Javascript handler.
      Returns:
        the new onmousemove value

    - #### setOnmousemove

          public final void setOnmousemove(String onmousemove)

      Sets an onmousemove Javascript handler.
      Parameters:
        `onmousemove` - the new onmousemove value

    - #### getOnmouseout

          public final String getOnmouseout()

      Gets an onmouseout Javascript handler.
      Returns:
        the new onmouseout value

    - #### setOnmouseout

          public final void setOnmouseout(String onmouseout)

      Sets an onmouseout Javascript handler.
      Parameters:
        `onmouseout` - the new onmouseout value

    - #### getOnkeypress

          public final String getOnkeypress()

      Gets an onkeypress Javascript handler.
      Returns:
        the new onkeypress value

    - #### setOnkeypress

          public final void setOnkeypress(String onkeypress)

      Sets an onkeypress Javascript handler.
      Parameters:
        `onkeypress` - the new onkeypress value

    - #### getOnkeydown

          public final String getOnkeydown()

      Gets an onkeydown Javascript handler.
      Returns:
        the new onkeydown value

    - #### setOnkeydown

          public final void setOnkeydown(String onkeydown)

      Sets an onkeydown Javascript handler.
      Parameters:
        `onkeydown` - the new onkeydown value

    - #### getOnkeyup

          public final String getOnkeyup()

      Gets an onkeyup Javascript handler.
      Returns:
        the new onkeyup value

    - #### setOnkeyup

          public final void setOnkeyup(String onkeyup)

      Sets an onkeyup Javascript handler.
      Parameters:
        `onkeyup` - the new onkeyup value

    - #### getStyleClass

          public final String getStyleClass()

      Gets the CSS style class of the bean.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets the CSS style class of the bean.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the inline CSS style for this element
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the inline CSS style for this element
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getDefaultEventName

          public String getDefaultEventName()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `UIXComponentBase`
      Returns:
        null
      See Also:
        `ClientBehaviorHolder.getDefaultEventName()`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `UIXComponentBase`
      Returns:
        Read-only map of the client behaviors for this component
      See Also:
        `ClientBehaviorHolder.getClientBehaviors()`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                               javax.faces.component.behavior.ClientBehavior behavior)

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `UIXComponentBase`
      Parameters:
        `eventName` - The event name
        `behavior` - The behavior to add
      See Also:
        `ClientBehaviorHolder.addClientBehavior(String, ClientBehavior)`

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `UIXComponentBase`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXComponentBase`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.